The requirements for running PuppetMaster are:

  • Windows NT/2K/XP
    • A Bluetooth device with appropriate drivers and a COM connection to the phone
    • Symbian Series 60 phone with Bluetooth support. Phones known to work are:
      • Lenovo P930
      • Nokia 3230, 3600, 3620, 3650, 3660, 6600, 6260, 6620, 6630, 6670, 6680, 6681, 6682, 7610, 7650, N-Gage, N-Gage QD
      • Panasonic X700, X800
      • Sendo X, X2
      • Siemens SX1
      PuppetMaster should work on all Series 60 devices; a full list is available at http://www.series60.com/products
      OR
    • Symbian UIQ phone with Bluetooth support. (* Preliminary support) Phones known to work are:
      • Sony Ericsson P910i
      • Motorola A925
      PuppetMaster should work on all UIQ devices; a full list is available at http://www.uiq.com/uiqphones
      OR
    • Microsoft Smartphone with Bluetooth support.
      OR
    • Microsoft PocketPC 2003 with Bluetooth support. (* Preliminary support)
      OR
    • Java enabled phone that supports the Bluetooth API. Phones known to work are:
      • Nokia 6230
      • Siemems S65
      OR
    • Sony Ericsson T68, T68i, T610, T630, K700i or Z1010. Other Sony Ericsson phones may work also.
    OR
    • Any Java enabled phone that supports socket connections - data is sent via your mobile network, NOT via bluetooth.

Note that the following devices can create a direct connection without requiring a COM connection:

  • In Windows XP Service Pack 2, most bluetooth devices supported natively
  • In Windows XP Service Pack 1, Bluetooth devices manufactured by ALPS, Brain Boxes, Cambridge Silicon Radio, FIC, GVC, IBM, Microsoft, Silicon Wave, Sony and Toshiba supported.

download now